Package com.sas.services.information.metadata.lookup.actions

# Class XmlNamesAction

java.lang.Object
com.sas.services.information.metadata.lookup.actions.AbstractAction
com.sas.services.information.metadata.lookup.actions.XmlNamesAction

All Implemented Interfaces:
  `ActionInterface`

@Deprecated public class XmlNamesAction extends AbstractAction
Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAMES_KEY`
  Deprecated.

  ### Fields inherited from class com.sas.services.information.metadata.lookup.actions.AbstractAction

  `user`

  ### Fields inherited from interface com.sas.services.information.metadata.lookup.actions.ActionInterface

  `MAP_KEY, NEW_KEY, OLD_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlNamesAction()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `_add(String oldValue, String newValue)`
  Deprecated.
  `protected void`
  `_initialize(Document document)`
  Deprecated.
  `protected LookupResultsInterface`
  `_lookup(String oldValue)`
  Deprecated.
  `Element`
  `getDomElement(Document document)`
  Deprecated.

  ### Methods inherited from class com.sas.services.information.metadata.lookup.actions.AbstractAction

  `add, add, initialize, lookup, lookup`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMES_KEY

    public static final String NAMES_KEY
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XmlNamesAction

    public XmlNamesAction()
    Deprecated.

- ## Method Details

  - ### getDomElement

    public Element getDomElement(Document document)
    Deprecated.

  - ### _add

    protected void _add(String oldValue, String newValue)
    Deprecated.
    Specified by:
      `_add` in class `AbstractAction`

  - ### _initialize

    protected void _initialize(Document document)
    Deprecated.
    Specified by:
      `_initialize` in class `AbstractAction`

  - ### _lookup

    protected LookupResultsInterface _lookup(String oldValue)
    Deprecated.
    Specified by:
      `_lookup` in class `AbstractAction`